package net.ranides.assira.collection.maps;

import net.ranides.test.ContractTesters;
import net.ranides.test.data.TMaps;
import net.ranides.test.data.TPoint;
import net.ranides.test.data.TMap;
import org.junit.Test;

import java.util.regex.Pattern;

public class WeakIdentMapTest {

    private final TMap<TPoint, Integer> $map = TMaps.MAP_PI.asIdentity();

    @Test
    public void testSuite() {
        ContractTesters.runner()
//                .debug(true)
                .param("map!", $map)
                .ignore(Pattern.compile(".*_HC"))
                .ignore("MapTester.basicSerializable")

                .function(new int[0], array -> $map.list(array).into(new WeakIdentMap<>()))
                .run();
    }

}